flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Márton Balassi <balassi.mar...@gmail.com>
Subject Re: [DISCUSS] Bump HBase version for hadoop-2 to 1.2.3
Date Tue, 04 Oct 2016 10:08:45 GMT
Sounds reasonable to me. +1.

On Tue, Oct 4, 2016 at 11:38 AM, Fabian Hueske <fhueske@gmail.com> wrote:

> Hi everybody,
>
> Flink's TableInputFormat depends on a very old HBase dependency (0.98.11).
>
> We have received user requests (see FLINK-2765 [1]) to update the
> dependency for hadoop-2 to 1.2.
> In addition there is a pull request with critical fixes for the HBase
> TableInputFormat [2] that bumps the version to 1.1.2.
> According to the JIRA issue [1], API compatibility from 0.98 to 1.2 is
> maintained.
>
> I suggest to update the HBase dependency to 1.2.3 (latest version of
> 1.2.x).
> I would like to have a decision about this to be able to merge the bug fix
> PR.
>
> Are there any objections against updating the HBase dependency to 1.2.3?
>
> Otherwise I will ask the contributor of [2] to update to 1.2.3 and merge
> the PR for Flink 1.2.0 by the end of the week.
>
> Thanks,
> Fabian
>
> [1] https://issues.apache.org/jira/browse/FLINK-2765
> [2] https://github.com/apache/flink/pull/2330
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message